Bug 219950 - Review Request: perl-Pod-Spell - A formatter for spellchecking Pod
Review Request: perl-Pod-Spell - A formatter for spellchecking Pod
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-17 11:47 EST by Jose Pedro Oliveira
Modified: 2011-03-06 14:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-18 10:58:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-12-17 11:47:50 EST
Spec URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Pod-Spell.spec

SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Pod-Spell-1.01-1.src.rpm

Description:
Pod::Spell is a Pod formatter whose output is good for spellchecking.
Pod::Spell rather like Pod::Text, except that it doesn't put much
effort into actual formatting, and it suppresses things that look like
Perl symbols or Perl jargon (so that your spellchecking program won't
complain about mystery words like "$thing" or "Foo::Bar" or "hashref").

Note: this module will help improving the test coverage of Perl::Critic.
Comment 1 Parag AN(पराग) 2006-12-17 12:49:09 EST
Taking this for review
Comment 2 Patrice Dumas 2006-12-17 13:00:35 EST
* rpmlint is silent
* free software, license file not included
* follow naming and packaging guidelines
* match upstream
aa4964844da2586562aae5208e2dbe61  Pod-Spell-1.01.tar.gz
* sane provides
Provides: perl(Pod::Spell) = 1.01 perl(Pod::Wordlist)
* %files section and directory ownership right

I would have APPROVED it, but I am not doing the review ;-)
Comment 3 Parag AN(पराग) 2006-12-17 23:21:20 EST
Patrice,
Thanks. Hey feel free to remove me if i have not posted any initial comments and
take that package review under REVIEW. :)
Comment 4 Parag AN(पराग) 2006-12-18 00:02:40 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMS.
+ source files match upstream.
aa4964844da2586562aae5208e2dbe61  Pod-Spell-1.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ %check used
make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-Iblib/lib" "-Iblib/arch" test.pl
1..22
# Running under perl version 5.008008 for linux
# Current time local: Sun Dec 17 23:54:19 2006
# Current time GMT:   Mon Dec 18 04:54:19 2006
# Using Test.pm version 1.25
# Perl version 5.008008 under linux
ok 1
# Pod::Spell version 1.01
# Pod::Wordlist version 1.01
ok 2
#  I see 1001 keys in %Pod::Wordlist::Wordlist
#
# Universe tests...
# I'm in ASCII world.
ok 3
#       "A" is 65
ok 4
#       "\n" is 10
ok 5
#       "\r" is 13
ok 6
#       "\cm" is 13
ok 7
#       "\cj" is 10
ok 8
#       "\t" is 9
ok 9
#       "\f" is 12
ok 10
#       "\b" is 8
ok 11
#       "\a" is 7
ok 12
#       "\e" is 27
# Universe tests complete.
#------------------------
# Real tests.
#
ok 13
#   Wrote >psin.pod (length 123 bytes)
ok 14
#   Opened <psin.pod and >psout.txt
ok 15
#   Created parser object.
ok 16
#   Converted.
#   Destroyed objects.
#   psout.txt is 26 bytes long.
ok 17
#   Opened <psout.txt
ok 18
#   Done reading 26 bytes from psout.txt.
ok 19
#   Content:   TEST myormsp snickh.
ok 20
#   Converted content is indeed 'TEST myormsp snickh'.
ok 21
#   Unlinked psout.txt
ok 22
#   Unlinked psin.pod

+ Provides: perl(Pod::Spell) = 1.01 perl(Pod::Wordlist)
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.
Comment 5 Jose Pedro Oliveira 2006-12-18 10:58:47 EST
Thanks for the review.

Package imported and built for FC-5, FC-6, and devel.
Comment 6 Paul Howarth 2011-02-18 16:32:05 EST
Package Change Request
======================
Package Name: perl-Pod-Spell
New Branches: el4
Owners: pghmcfc
InitialCC: perl-sig
Comment 7 Jason Tibbitts 2011-02-19 13:40:41 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2011-02-19 14:00:48 EST
perl-Pod-Spell-1.01-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Pod-Spell-1.01-2.el4
Comment 9 Fedora Update System 2011-03-06 14:18:20 EST
perl-Pod-Spell-1.01-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.